curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Note content",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
'{
"id": "1367466e-7e5d-40d7-a78a-ace2780ed3dd",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}Create note
Use this method to create a new note. Use notes to notify your team on important matters regarding a conversation with a customer. More info
Required scope: Enable one of: conversations:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/notes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Note content",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a"
}
'{
"id": "1367466e-7e5d-40d7-a78a-ace2780ed3dd",
"conversationId": "4461ea29-c09e-4ba8-a751-df86cf0a0eb9",
"agentId": "c856e230-a8cd-498b-9996-42bbed35029a",
"type": "INTERNAL",
"content": "Note content",
"createdAt": "2024-01-01T00:00:00.000+00:00",
"updatedAt": "2024-01-01T00:00:00.000+00:00"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation to set note to.
Body
Response
OK
Note Id
Id of the conversation holding the note.
Id of the author agent.
Note content, which can be any text up to 4000 characters.
INTERNAL, AUTH_BIOMETRY_INIT, AUTH_BIOMETRY_PENDING, AUTH_BIOMETRY_SUCCESS, AUTH_BIOMETRY_EXPIRED, AUTH_BIOMETRY_CANCEL, AUTH_BIOMETRY_FAILED, AUTH_AGENT_SUCCESS, AUTH_AGENT_EXPIRED, AUTH_BOT_SUCCESS, AUTH_BOT_EXPIRED, JIRA_COMMENT, ATTACHMENT, INTERNAL, ATTACHMENT Time stamp when note is created.
Time stamp when note is updated.